/*
 * Copyright (c) 2019-2020. Developed by Hedgecode.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.hedgecode.chess.scanner;

/**
 * ScannerType
 *
 * @author Dmitry Samoshin aka gotty
 */
public enum ScannerType {

    CHESSGAMES (ChessHogScannerConstants.PORTAL_CHESSGAMES),
    LICHESS    (ChessHogScannerConstants.PORTAL_LICHESS),
    CHESSBOMB  (ChessHogScannerConstants.PORTAL_CHESSBOMB),
    CHESS24    (ChessHogScannerConstants.PORTAL_CHESS24),
    CHESSCOM   (ChessHogScannerConstants.PORTAL_CHESSCOM);

    private String type;

    ScannerType(String type) {
        this.type = type;
    }

    public String type() {
        return type;
    }

    public static ScannerType byType(String type) {
        for (ScannerType scannerType : ScannerType.values()) {
            if (scannerType.type.equals(type))
                return scannerType;
        }
        return null;
    }

}
