/*
 * Copyright (c) 2019-2020. Developed by Hedgecode.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.hedgecode.chess.scanner.format;

import java.util.Date;

/**
 * Game
 *
 * @author Dmitry Samoshin aka gotty
 */
public interface Game {

    int id();

    int roomId();

    String slug();

    String roundSlug();

    int whiteId();

    int blackId();

    int whiteElo();

    int blackElo();

    Date startAt();

    Date endAt();

    Date updateAt();

    String result();

    int table();

    int board();

    Player white();

    Player black();

}
