/*
 * Copyright (c) 2019-2020. Developed by Hedgecode.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.hedgecode.chess.scanner.json.format;

import java.util.Date;

import com.google.gson.annotations.SerializedName;

import org.hedgecode.chess.scanner.format.Room;

/**
 * JSONRoom
 *
 * @author Dmitry Samoshin aka gotty
 */
public class JSONRoom implements Room {

    @SerializedName("id")
    private int id;

    @SerializedName("indexId")
    private int indexId;

    @SerializedName("slug")
    private String slug;

    @SerializedName("name")
    private String name;

    @SerializedName("shortName")
    private String shortName;

    @SerializedName("weight")
    private int weight;

    @SerializedName("startAt")
    private Date startAt;

    @SerializedName("endAt")
    private Date endAt;

    @SerializedName("updateAt")
    private Date updateAt;

    @SerializedName("eventType")
    private String eventType;

    @SerializedName("scoring")
    private String scoring;

    @SerializedName("officialUrl")
    private String officialUrl;

    JSONRoom() {
    }

    @Override
    public int id() {
        return id;
    }

    @Override
    public int indexId() {
        return indexId;
    }

    @Override
    public String slug() {
        return slug;
    }

    @Override
    public String name() {
        return name;
    }

    @Override
    public String shortName() {
        return shortName;
    }

    @Override
    public int weight() {
        return weight;
    }

    @Override
    public Date startAt() {
        return startAt;
    }

    @Override
    public Date endAt() {
        return endAt;
    }

    @Override
    public Date updateAt() {
        return updateAt;
    }

    @Override
    public String eventType() {
        return eventType;
    }

    @Override
    public String scoring() {
        return scoring;
    }

    @Override
    public String officialUrl() {
        return officialUrl;
    }

}
